Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class ByteOrderedPartitioner

    java.lang.Object
      org.apache.cassandra.dht.AbstractPartitioner<BytesToken>
          org.apache.cassandra.dht.AbstractByteOrderedPartitioner
              org.apache.cassandra.dht.ByteOrderedPartitioner

All Implemented Interfaces:
  IPartitioner<BytesToken>

    public class ByteOrderedPartitioner

extends AbstractByteOrderedPartitioner

Field Summary

Fields inherited from class org.apache.cassandra.dht.AbstractByteOrderedPartitioner
`BYTE_MASK, MINIMUM`

Constructor Summary
`ByteOrderedPartitioner()`

Method Summary
`BytesToken` | `getToken(java.nio.ByteBuffer key)`

Methods inherited from class org.apache.cassandra.dht.AbstractByteOrderedPartitioner
`convertFromDiskFormat, decorateKey, describeOwnership, getMinimumToken, getRandomToken, getTokenFactory, midpoint, preservesOrder`

Methods inherited from class org.apache.cassandra.dht.AbstractPartitioner
`minValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteOrderedPartitioner

    public ByteOrderedPartitioner()

Method Detail

### getToken

    public BytesToken getToken(java.nio.ByteBuffer key)

  Specified by:
    `getToken` in interface `IPartitioner<BytesToken>`
  Specified by:
    `getToken` in class `AbstractByteOrderedPartitioner`
  Returns:
    a Token that can be used to route a given key (This is NOT a method to create a Token from its string representation; for that, use TokenFactory.fromString.)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation